#### PyKDE - Python Bindings for KDE

# class KSharedConfig |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KSharedConfig
Inherits | KConfig, KShared

### methods

- KSharedConfig (fileName, immutable, useKDEGlobals)

  returns a KSharedConfig instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  fileName | QString |
  immutable | bool |
  useKDEGlobals | bool |

- openConfig (fileName, immutable = 0, bUseKDEGlobals = 1)

  returns (KSharedConfig.Ptr)
  In versions KDE 3.2.0 and above only
  static
  Argument | Type | Default
  --- | --- | ---
  fileName | QString |
  immutable | bool | 0
  bUseKDEGlobals | bool | 1

- ~KSharedConfig ()

  returns nothing
  In versions KDE 3.2.0 and above only